<?php
/*
OekakiPoteto 5.x Copyright 2000-2002 RanmaGuy (Theo Chakkapark, http://suteki.nu) and Marcello Basta-Forte (http://marcello.cellosoft.com). Modification to the files are permitted as long as my name remains on the files.

Wax Poteto modifications Copyright Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 5.9.0 - Last modified 2015-04-26
*/


// Load bootstrap
define('BOOT', 1);
require 'boot.php';


// Input
$guestName   = w_gpc('guestName');
$guestEmail  = w_gpc('guestEmail', 'email');
$guestURL    = w_gpc('guestURL');
$def_comment = w_gpc('def_comment');
$resno       = w_gpc('resno', 'i+');
$edit        = w_gpc('edit', 'i+');
// $pageno
// $sort
// $artist
// $a_match


// Init
if (empty($guestURL)) {
	$guestURL = 'http://';
}

// No guests?
if (empty($OekakiU) && $cfg['guest_post'] != 'yes') {
	all_done();
}

// No mode?
if (empty($mode)) {
	all_done();
}


// Yet another smilies hack
{
	// Disable
	$breakpoint = 0;

	// Break after "n" smilies are printed
	// $breakpoint = 3;

	// Break into "n" number of lines
	// $breakpoint = ceil($q / 2);
}


// Edit?
if ($edit) {
	$resno = $edit;
}


// If no resource set yet, get one!
if (!$resno) {
	$result = db_query("SELECT PIC_ID FROM {$db_p}oekakidta WHERE usrname='{$OekakiU}' ORDER BY postdate DESC");

	if ($result && db_num_rows($result) > 0) {
		$resno = (int) db_result($result);
	} else {
		report_err('Cannot find recent picture');
	}
}


// Get resno
$result2 = @db_query("SELECT ID_2, title, comment, px, ptype, rtype, ttype, adult, usethumb FROM {$db_p}oekakidta WHERE PIC_ID='{$resno}'");
if (!$result2 || db_num_rows($result2) < 1) {
	report_err('Unable to read picture #'.$resno);
}
$row2 = db_fetch_array($result2);


if ($row2['px'] < $screensize) {
	if (THUMB_COMMENT != 1) {
		// hacks.php
		$row2['usethumb'] = 0;
	}
}

$master_image = $p_pic.$resno.'.'.$row2['ptype'];
if (!empty($row2['rtype']) && $row2['usethumb'] == 1) {
	$thumbnail_image = $r_pic.$resno.'.'.$row2['rtype'];
} elseif (!empty($row2['ttype']) && $row2['usethumb'] == 1) {
	$thumbnail_image = $t_pic.$resno.'.'.$row2['ttype'];
} else {
	$thumbnail_image = $master_image;
}


require 'header.php';


?>
<table width="<?php echo $hWidth;?>" cellpadding="<?php echo $hCellPadding;?>" align="center" cellspacing="2" class="infotable">
<tr>
<td>
<?php if (($cfg['guest_post'] == 'yes') || !empty($OekakiU)) {
	if ($row2['adult'] != 1 || $flags['X']) {
		echo ("	<div align=\"center\"><a href=\"{$master_image}\"><img src=\"{$thumbnail_image}\" style=\"border-width: 1px;\" alt=\"\" /></a></div>\n");
	} else {
		echo ("	<div align=\"center\"><a href=\"{$master_image}\"><img src=\"{$cfg['porn_img']}\" style=\"border: 0;\" alt=\"\" /></a></div>\n");
	}
?>
	<br />

	<form name="formComment" method="post" action="functions.php">
		<input name="action" type="hidden" value="<?php echo $mode;?>" />
		<input name="picno" type="hidden" value="<?php echo $resno;?>" />
		<input name="pageno" type="hidden" value="<?php echo $pageno;?>" />
<?php if ($sort) { ?>
		<input name="sort" type="hidden" value="<?php echo $sort;?>" />
<?php }
if (!empty($artist)) { ?>
		<input name="artist" type="hidden" value="<?php echo w_html_chars($artist);?>" />
<?php }
if (!empty($a_match)) { ?>
		<input name="a_match" type="hidden" value="<?php echo w_html_chars($a_match);?>" />
<?php }

if (empty($OekakiU)) { ?>

		<table width="75%" border="0" cellspacing="0" cellpadding="3" align="center" class="infotable">
		<tr>
		<td colspan="2" class="header"><?php echo $langop_comment_add;?></td>
		</tr>
		<tr>
		<td width="44%">
			<div align="right"><?php echo $langop_word_name;?>:</div>
		</td>
		<td width="56%">
			<input type="text" name="name" class="txtinput" value="<?php echo w_html_chars($guestName);?>" />
		</td>
		</tr>
		<tr>
		<td width="44%">
			<div align="right"><?php echo $langop_word_email;?>:</div>
		</td>
		<td width="56%">
			<font size="-1">
				<input type="text" name="email" class="txtinput" value="<?php echo w_html_chars($guestEmail);?>" />
			</font>
		</td>
		</tr>
		<tr>
		<td width="44%">
			<div align="right"><?php echo $langop_word_url;?>:</div>
		</td>
		<td width="56%">
			<font size="-1">
				<input type="text" name="url" value="<?php echo w_html_chars($guestURL);?>" class="txtinput" />
			</font>
			<?php echo $langop_common_http;?>
		</td>
		</tr>
<?php
		// Humanity test for guests
		if ($cfg['humanity_post'] != 'no') {
			if (isset($_COOKIE['guestPass']) && isset($_COOKIE['guestName'])
				&& w_transmission_verify($_COOKIE['guestName'], $_COOKIE['guestPass']))
			{
				// Cookie passed, skip test
			} else {
				// Cookie failed, print test
				$start = rand(1, 10);
				$end = rand(1, 10);
				$sum = $start + $end;

				$mixup = array($sum, $sum+2, $sum+4, $sum+6, $sum+8);
				shuffle($mixup);

				// Make sure correct value is not in 1st position, else swap with 3rd
				if ($mixup[0] == $sum) {
					$dummy    = $mixup[0];
					$mixup[0] = $mixup[3];
					$mixup[3] = $dummy;
				}

?>

		<tr>
		<td width="44%">
			<div align="right"><?php echo $langop_what_is;?> <?php echo $start;?> + <?php echo $end;?>? :</div>
		</td>
		<td width="56%">
			<font size="-1">
				<input type="hidden" name="x_test" value="<?php echo $start;?>" />
				<select name="e_test" class="txtinput">
<?php
$answer_flag = 0;
foreach($mixup as $out) { ?>
					<option value="<?php echo $out;?>"<?php if ($out != $sum && $answer_flag == 0) { echo (' selected="selected"'); $answer_flag = 1;} ?>><?php echo $out;?></option>
<?php } ?>
				</select>
				<input type="hidden" name="y_test" value="<?php echo $end;?>" />
			</font>
		</td>
		</tr>
<?php
			}
		}
?>
		</table>
		<br />

<?php
}
if (($mode=='res_msg') || ($mode=='ani_msg')) {
?>
	<table width="75%" border="0" cellspacing="0" cellpadding="3" align="center" class="infotable">
	<tr>
	<td class="header"><?php echo $langop_comment_pictitle;?></td>
	</tr>
	<tr>
	<td>
		<div align="center">
			<font size="-2">
				<input type="text" name="title" value="<?php w_html_chars(ne_echo($row2['title'], 'No Title'));?>" size="40" class="txtinput" />
				<br />
			</font>
			<?php echo $langop_comment_adult;?> 
			<input type="checkbox" name="adult" value="1" <?php if ($row2['adult'] > 0) { echo 'checked="checked" ';} ?>/>
		</div>
	</td>
	</tr>
	</table>

<?php } ?>
	<div align="center"></div>
	<table width="75%" border="0" cellspacing="0" cellpadding="3" align="center" class="infotable">
	<tr>
	<td colspan="2" class="header">
		<?php echo $langop_word_comments;?> (<a href="#" onclick="openWindow('niftyusage.php', 500, 300); return false"><?php echo $langop_common_niftytoo;?></a>)
	</td>
	</tr>
	<tr>
	<td colspan="2">
		<div align="center">
<?php
// Print smilies
$q = count($smilies_group);
if (defined('MAX_SMILIES') && MAX_SMILIES < $q) {
	$q = MAX_SMILIES;
}

if ($cfg['smilies'] == 'yes' && $q > 0) {
	reset($smilies_group);
	for ($i=0; $i < $q; $i++) {
		list ($s_code, $s_img) = each($smilies_group);
?>
					<img onclick="insertText('comment', ' <?php echo $s_code;?> ');" onmouseover="if (style.cursor) style.cursor='hand';" src="./smilies/<?php echo $s_img;?>" alt="<?php echo $s_code;?>" />
<?php
		if ($breakpoint > 0){
			if (($i % $breakpoint) == $breakpoint - 1) {
				echo "<br />\n";
			}
		}
	}
?>
					<br />
<?php } ?>

			<font size="-2">
<?php if (!empty($def_comment)) { ?>
				<textarea id="comment" name="comment" cols="60" rows="6" class="multiline"><?php echo w_html_chars($def_comment);?></textarea>
<?php } else { ?>
				<textarea id="comment" name="comment" cols="60" rows="6" class="multiline"><?php if ($edit) echo w_html_chars($row2['comment']);?></textarea>
<?php } ?>
			</font>
		</div>
	</td>
	</tr>
	<tr>
	<td colspan="2">
		<div align="center">
			<input name="uts" type="hidden" value="<?php echo time();?>" />
			<input type="submit" name="post" value="Submit" class="submit" />
		</div>
	</td>
	</tr>
	</table>
</form>

<?php } ?>



<?php
// Comments.  Be careful with $edit variable!
if (!$edit) {
?>
	<br />
	<br />

	<table width="75%" border="0" cellspacing="0" cellpadding="3" align="center" class="infotable">
	<tr>
	<td class="header">&nbsp;</td>
	</tr>
	<tr>
	<td style="padding-left: 30px;">
<?php

// First comment
	$first_result = db_query("SELECT * FROM {$db_p}oekakidta WHERE PIC_ID='$resno'");
	$outerrow = db_fetch_array($first_result);

	// All other comments
	$result2 = db_query("SELECT * FROM {$db_p}oekakicmt WHERE PIC_ID='$resno' ORDER BY postdate ASC");
	$rownum2 = db_num_rows($result2);

?>

		<!-- Comments -->
		<div class="commentheader">
			<strong>
				<a onclick="openWindow('profile.php?user=<?php echo urlencode($outerrow['usrname']);?>', 400, 500); return false" href="profile.php?user=<?php echo urlencode($outerrow['usrname']);?>"><?php echo w_html_chars($stupid_name.$outerrow['usrname']);?></a>
			</strong>
			@ <font color="<?php echo $dStamp;?>"><?php echo date($datef['post_header'], strtotime($outerrow['postdate']));?></font>
		</div>
		<div class="commentdata">
<?php
	// Avatar
	$avatar = '';
	$ava_sql = '';
	if ($cfg['use_avatars'] == 'yes' && strtolower($OekakiU) != 'screenshot') {
		$ava_sql = db_query("SELECT avatar FROM {$db_mem}oekaki WHERE usrname='{$outerrow['usrname']}'");
		if ($ava_sql && db_num_rows($ava_sql) > 0)
			$avatar = db_result($ava_sql, 0);
	}
	if (!empty($avatar)) {
?>
			<table>
			<tr>
			<td valign="top">
				<img src="<?php echo $cfg['avatar_folder'].'/'.$avatar;?>" alt="avatar" /><br />
			</td>
			<td valign="top" width="100%">
<?php
	}
	if (!empty($outerrow['comment'])) {
		?>
			<?php echo nifty2_convert($outerrow['comment']);?> 
<?php
	} else {
?>
				<small>...</small>
<?php
	}
	if (!empty($outerrow['origart'])) {
		echo "<br />\n<br />\n<strong>(".$langop_originalby." {$outerrow['origart']})</strong>\n";
	}
	if (!empty($avatar)) {
?>
			</td>
			</tr>
			</table>
<?php
		}
?>
			</div>
			<br />

<?php
		$i2 = 0;
		while ($i2 < $rownum2) {
			// Get mysql results, one row at a time.
			$innerrow = db_fetch_array($result2);
?>
			<div class="commentheader">
<?php
			if ($innerrow['usrname'] == 'Guest'){
				// Only reg members can see e-mails
				// E-mails are set here only if a guest, so don't bother with 'email_show'
				if (!empty($OekakiU) && !empty($innerrow['email'])) {
?>
				<b><i><a href="mailto:<?php echo email_code($innerrow['email'], true);?>"><?php echo w_html_chars($stupid_guest.$innerrow['postname']);?></a></i></b>
<?php
				} else {
?>
				<b><i><?php echo w_html_chars($stupid_guest.$innerrow['postname']);?></i></b>
<?php
				}
			} else {
?>
				<b><a onclick="openWindow('profile.php?user=<?php echo urlencode($innerrow['usrname']);?>', 400, 500); return false" href="profile.php?user=<?php echo urlencode($innerrow['usrname']);?>"><?php echo w_html_chars($stupid_name.$innerrow['usrname']);?></a></b>
<?php
			}
			// Print homepage only if available
			if (strlen($innerrow['url']) > 8) {
?>
			- <a href="<?php echo w_html_chars($innerrow['url']);?>">[<?php echo $langop_word_homepage;?>]</a>
<?php
			}
?>
				@ <font color="<?php echo $dStamp;?>"><?php echo date($datef['post_header'], strtotime($innerrow['postdate']));?></font>
			</div>
<?php
		// Avatar
		$avatar = '';
		$ava_sql = '';
		if ($cfg['use_c_avatars'] == 'yes' && $cfg['use_avatars'] == 'yes' && $innerrow['usrname'] != 'Guest' && strtolower	($OekakiU) != 'screenshot') {
			$ava_sql = db_query("SELECT avatar FROM {$db_mem}oekaki WHERE usrname='{$innerrow['usrname']}'");
			if ($ava_sql && db_num_rows($ava_sql) > 0)
				$avatar = db_result($ava_sql, 0);
		}
		if (!empty($avatar)) {
?>
			<div class="commentdata"<?php if (FULL_AVATARS != 1) echo ' style="padding-top: 0; padding-bottom: 0; margin-top: 0; margin-bottom: 0;"';?>>
				<table>
				<tr>
				<td valign="top">
					<img src="<?php echo $cfg['avatar_folder'].'/'.$avatar;?>" alt="avatar" /><br />
				</td>
				<td valign="top" width="100%">
<?php
		} else {
?>
			<div class="commentdata">
<?php
		}
		if (!empty($innerrow['comment'])) {
?>
				<?php echo nifty2_convert($innerrow['comment']);?> 
<?php
		} else {
?>
				<small>...</small>
<?php
		}
		if (!empty($avatar)) {
?>
				</td>
				</tr>
				</table>
<?php
		}
?>
			</div>
			<br />

<?php
			$i2++;
		} // endwhile inner
?>
		<!-- /Comments -->

	</td>
	</tr>
	</table>
<?php
	} // End comment count
?>

</td>
</tr>
</table>
<br />

<?php

include 'footer.php';