<?php
/*
OekakiPoteto 5.x Copyright 2000-2002 RanmaGuy (Theo Chakkapark, http://suteki.nu) and Marcello Basta-Forte (http://marcello.cellosoft.com). Modification to the files are permitted as long as my name remains on the files.

Wax Poteto modifications Copyright Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 5.8.2 - Last modified 2010-12-26
*/


// Load bootstrap
define('BOOT', 1);
require 'boot.php';


db_close();



// Start HTML
send_html_headers();
?>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $charset;?>" />
<?php if (!empty($metatag_language)) { ?>
	<meta http-equiv="Content-Language" content="<?php echo $metatag_language;?>" />
<?php } ?>

	<title><?php echo $cfg['op_title']?></title>

<?php
	echo $cssdata;
?>

	<script type="text/javascript" src="poteto.js">
	</script>
</head>

<body<?php echo ' '.$bodydata;?>>

<table width="100%" cellpadding="<?php echo $hCellPadding;?>" align="center" class="header">
<tr>
<td>
	<?php echo $langop_niftytoo_title;?> 
</td>
</tr>
</table>


<table width="100%" cellpadding="<?php echo $hCellPadding;?>" align="center" class="infotable">
<tr>
<td valign="top">
	<p align="center">
		<?php echo $langop_niftytoo_titlesub;?><br />
	</p>

	<table border="0" cellspacing="2" cellpadding="5" width="100%">
	<tr>
	<td colspan="2" class="header">
		<strong><?php echo $langop_niftytoo_linking;?>:</strong>
	</td>
	</tr>

	<tr>
	<td colspan="2" class="niftycode">
		<p>
			<strong>[url]http://www.Something.com[/url]</strong>
		</p>
		<p>
			<strong>[url=http://www.Something.com]<?php echo $langop_lnksom;?>[/url]</strong>
		</p>
		<p>
			<?php echo $langop_niftytoo_autolink;?>
		</p>
	</td>
	</tr>

	<tr>
	<td colspan="2" class="header">
		<strong><?php echo $langop_niftytoo_basicfor;?>:</strong>
	</td>
	</tr>

	<tr>
	<td class="niftycode" valign="top">
		[color:<em><?php echo $langop_word_colorcode;?></em>]<strong><?php echo $langop_word_text;?></strong>[/color]
	</td>
	<td>
<?php //Wac: This is so wrong... ?>

		<?php echo $langop_niftytoo_textcol;?>.<br />
		[color=#00FFFF]<?php echo $langop_word_text;?>[/color] <?php echo $langop_niftytoo_produce;?>
		<?php echo nifty2_convert('[color=#00FFFF]'.$langop_word_text.'[/color]');?><br />

		[color=red]<?php echo $langop_word_text;?>[/color] <?php echo $langop_niftytoo_produce;?>
		<?php echo nifty2_convert('[color=red]'.$langop_word_text.'[/color]');?><br />

		[color=yellow on black]<?php echo $langop_word_text;?>[/color] <?php echo $langop_niftytoo_produce;?>
		<?php echo nifty2_convert('[color=yellow on black]'.$langop_word_text.'[/color]')."\n";?>
	</td>
	</tr>

	<tr>
	<td class="niftycode">
		[b]<b><?php echo $langop_word_text;?></b>[/b]
	</td>
	<td>
		<b><?php echo $langop_word_bold;?></b> <?php echo $langop_word_text;?>.
	</td>
	</tr>

	<tr>
	<td class="niftycode">
		[i]<b><?php echo $langop_word_text;?></b>[/i]
	</td>
	<td>
		<i><?php echo $langop_word_italic;?></i> <?php echo $langop_word_text;?>.
	</td>
	</tr>

	<tr>
	<td class="niftycode">
		[u]<b><?php echo $langop_word_text;?></b>[/u]
	</td>
	<td>
		<u><?php echo $langop_word_underline;?></u> <?php echo $langop_word_text;?>.
	</td>
	</tr>

	<tr>
	<td class="niftycode">
		[del]<strong><?php echo $langop_word_text;?></strong>[/del]
	</td>
	<td>
		<s><?php echo $langop_word_strikethrough;?></s> <?php echo $langop_word_text;?>.
	</td>
	</tr>

	<tr>
	<td colspan="2" class="header">
		<strong><?php echo $langop_niftytoo_intermform;?>:</strong>
	</td>
	</tr>

	<tr>
	<td class="niftycode">
		[big]<strong><?php echo $langop_word_text;?></strong>[/big]
	</td>
	<td>
		<big>Large <?php echo $langop_word_text;?>.</big>
	</td>
	</tr>

	<tr>
	<td class="niftycode">
		[small]<strong><?php echo $langop_word_text;?></strong>[/small]
	</td>
	<td>
		<small>Small <?php echo $langop_word_text;?>.</small>
	</td>
	</tr>

	<tr>
	<td class="niftycode">
		[code]<b><?php echo $langop_word_text;?></b>[/code]
	</td>
	<td>
		<code><?php echo $langop_word_preformatted;?> <?php echo $langop_word_text;?>.</code>
	</td>
	</tr>

	<tr>
	<td class="niftycode">
		[quote]<b><?php echo $langop_word_text;?></b>[/quote]
	</td>
	<td>
		<?php echo nifty2_convert('[quote]Quoted '.$langop_word_text.' (attribution not supported)[/quote]')."\n";?>
	</td>
	</tr>

	<tr>
	<td class="niftycode">
		[[two_bracket]]<b><?php echo $langop_word_text;?></b>[[/example]]
	</td>
	<td>
		<?php echo nifty2_convert('[[two_bracket]]'.$langop_word_text.'[/example]')."\n";?>
	</td>
	</tr>

	<tr>
	<td colspan="2" class="niftycode header">
		<strong><?php echo $langop_niftytoo_chatformat;?>:</strong>
	</td>
	</tr>

	<tr>
	<td class="niftycode" valign="top">
		/me <em><?php echo $langop_word_action;?></em>
	</td>
	<td>
		<?php echo $langop_niftytoo_chatdesc;?><br />
		<?php echo $langop_word_example;?>: /me <?php echo $langop_niftytoo_actions;?> 
	</td>
	</tr>
	</table>
</td>
</tr>
</table>

<p align="center">
	<a onclick="window.close(); return false;" href="#"><font size="-2"><?php echo $langop_common_window;?></font></a>
</p>

</body>
</html>